Subject: Re: bug#52883: xwidget-webkit webinspector segfaults emacs on sway

From: Po Lu <[email-masked]>
Date: Thu, 30 Dec 2021 09:39:40 +0800

[email-masked] writes:

> Steps to reproduce:
>
> - run an emacs -Q compiled --with-xwidgets under xwayland on sway
> - M-x xwidget-webkit-browse-url RET then type in any valid website
> - right click on any element then select 'Inspect Element'
> - the xwidget will freeze and be difficult to interact with
> - C-x k to kill the buffer then emacs will segfault

Please tell the versions of WebKitGTK and GTK+ you have installed, and
also show the backtrace of the segfault.

On a modern GNU/Linux system, it should be enough to simply say
"coredumpctl debug emacs", wait for the gdb prompt to appear, and then
type "bt" followed by RET.

Thanks.